PayPay
How to use PayPay to submit a payin in Japan.
Payin by PayPay
POST https://gateway-test.pagsmile.com/trade/pay
This endpoint allows you to submit a payin by PayPay in Japan.
Headers
Content-Type*
string
application/json; chartset=UTF-8
Authorization*
string
Basic Base($app_id:$security_key)
Request Body
app_id*
string
created app's id at dashboard
- Max. 32 chars -
method*
string
Fixed value: PayPay
out_trade_no*
string
ID given by the merchant in their system - Max. 64 chars -
notify_url*
string
Where Pagsmile will send notification to
timestamp*
string
yyyy-MM-dd HH:mm:ss - Max. 19 chars -
subject*
string
payment reason or item title
- Max. 128 chars -
order_amount*
string
payment amount 1-1,000,000.00
(Only Integer) -
order_currency*
string
Fixed value: JPY
content
string
payment reason detail or item detail
- Max. 255 chars -
buyer_id*
string
merchant user's id
{
"code":"10000",
"msg":"Success",
"prepay_id":"U1d5Sk5Na***00a29",
"trade_no":"202606**6516",
"out_trade_no":"out_trade_no_36**333",
"web_url":"",
"pay_url":"https://qr.paypay.ne.jp/28***RzIr",
"trade_status":"PROCESSING"
}{
"code": "40002",
"msg": "Business Failed",
"sub_code": "duplicate-out_trade_no",
"sub_msg": "out_trade_no is duplicate"
}Example
Last updated